/*
 * objecttype.h
 *
 *  Created on: 20-09-2013
 *      Author: crm
 */

#pragma once

class ObjectType
	{
	public:
		enum Type
			{
			OBJECT_LOCAL,
			OBJECT_MULTIPLAYER_CLIENT,
			OBJECT_MULTIPLAYER_SERVER,

			OBJECT_HEADLESS=OBJECT_MULTIPLAYER_SERVER,
			};

	protected:
		Type objtype;

	public:
		ObjectType(): objtype(OBJECT_LOCAL) {}
		ObjectType(Type s): objtype(s) {}

		inline Type getType() const {return objtype;}
		inline void setType(Type s) {objtype=s;}
	};
