/*
 * stateintro.cpp
 *
 *  Created on: 04-08-2013
 *      Author: crm
 */

#include "intro.h"

#include "log.h"

#include "render.h"

#include "mainmenu.h"
#include "gameengine.h"

void StateIntro::init()
	{
	delay=0.0f;
	start=true;
	}

void StateIntro::update(float dt)
	{
	if(start)
		GameEngine::pushState( new StateMenu() );
	else
		delay-=dt;
	}

void StateIntro::print()
	{
	if(start)
		return;
	else
		{
		/*Render::setMode(Render::DRAW_PRIMITIVE_OVERLAY);
		if(delay<0.0f)
			{
			GameEngine::stop();
			Render::setColor(0, 0, 0, 255);
			}
		else
			Render::setColor(0, 0, 0, 255*(1.0f-delay/0.5f));
		Render::drawRect(0, 0, Render::getW(), Render::getH());
		Render::setMode(Render::DRAW_2D);*/
		}
	}

void StateIntro::clear()
	{
	//
	}


void StateIntro::pause()
	{
	//
	}

void StateIntro::resume()
	{
	if(GameEngine::getState()->getId()==STATE_MAIN_MENU)
		{
		start=false;
		delay=0.5f;
		}

	//GameEngine::stop();
	}

