/*
 * consts.h
 *
 *  Created on: 02-08-2012
 *      Author: crm
 */

#pragma once

const int SCREENWIDTH=	800;
const int SCREENHEIGHT=	600;
const int BPP=			32;

const float SCREENFAR=	10000.0f;
const float SCREENNEAR=-1000.0f;
const float DELTA_MIN=	0.001f;
const float DELTA_MAX=	0.250f;

const char GAMENAME[]="Pan Reporter";
const float FPSDELAY=	50.0f/1000.0f;	// 50 fps'ow wszystkiego
const float LUADELAY=	20.0f/1000.0f;	// 20 fps'ow 'logiki' (lua)

const float DEGTORAD=3.141592653589793f/180.0f;
const float RADTODEG=180.0f/3.141592653589793f;

// Resfile
const char RESLIST[]="data.ini";

// Npc
const char IMGPATH[]="img/";
const char LUAPATH[]="lua/";
const char SOUNDPATH[]="sound/";
const char MUSICPATH[]="music/";

const char DEFAULT_FONT[]="font/font_00.spr";
