/*
 * rect.h
 *
 *  Created on: 03-04-2013
 *      Author: crm
 */

#pragma once

namespace UI
	{
	struct Rect
		{
		int x, y, w, h;

		Rect(int x, int y, int w, int h): x(x), y(y), w(w), h(h) {}
		Rect(int w, int h):	x(0), y(0), w(w), h(h) {}

		bool isIn(int px, int py)
			{
			return (px>=x && px<x+w && py>=y && py<y+h);
			}
		};
	}
