/*
 * log.h
 *
 *  Created on: 23-12-2011
 *      Author: crm
 */

#ifndef LOG_H_
#define LOG_H_

#include <cstdio>
#define printf Log::info

namespace Log
	{
	enum LogLvl {NONE=0x0, INFO=0x1, FAIL=0x2, OK=0x4, DEBUG=0x8, ALL=INFO|FAIL|OK};

	void init();	// Stworzenie mutexa, niewymagane
	void clear();	// Zamkniecie mutexa, niewymagane

	void info(/*const char *loc, */const char *fmt, ...);
	void fail(/*const char *loc, */const char *fmt, ...);
	void ok  (/*const char *loc, */const char *fmt, ...);
	void debug(/*const char *loc, */const char *fmt, ...);

	void push();
	void pop();

	void close();

	void setOut(FILE *sf);
	void setLogLvl(int flag);

	int getLogLvl();
	}

#endif /* LOG_H_ */
