/*
 * classiccounter.h
 *
 *  Created on: 21-06-2013
 *      Author: crm
 */

#pragma once

#include <string>

#include "ui/counter.h"
#include "graphics/spriteptr.h"

class ClassicCounter: public UI::Counter
	{
	public:
		enum Direction
			{
			LEFT_TO_RIGHT,	// Zero po lewej, max po prawej
			RIGHT_TO_LEFT,	// Zero po prawej, max po lewej
			};

	private:
		Graphics::SpritePtr spr;

		Direction dir;

		float prev;

	public:
		ClassicCounter();
		virtual ~ClassicCounter();

		using UI::Counter::init;
		virtual void init(const std::string& name);
		virtual void update(float dt);
		virtual void print(float x, float y);
		virtual void clear();

		void setDir(Direction s) {dir=s;}

		int getW() const;
		int getH() const;
	};
