/*
 * ctrl_keyboard.cpp
 *
 *  Created on: 23-04-2013
 *      Author: crm
 */

#include "keyboard.h"

#include <SDL/SDL.h>

//#include "main.h"
//#include "database.h"
#include "databasemanager.h"
//#include "asmmath.h"	// <- do skasowania, dodane tylko dla nopa

//#include "character.h"
//#include <assert.h>

bool ControllerKeyboard::init(const std::string& configdb, const std::string& prefix)
	{
	//Database db;
	Database& db=DatabaseManager::getDatabase(configdb);

	const std::string CTRL_UP=		prefix+".up";
	const std::string CTRL_DOWN=	prefix+".down";
	const std::string CTRL_LEFT=	prefix+".left";
	const std::string CTRL_RIGHT=	prefix+".right";
	const std::string CTRL_A=		prefix+".a";
	const std::string CTRL_B=		prefix+".b";

	//db.load(configdb);

	keys[UP]=		db.getVal(CTRL_UP);
	keys[DOWN]=		db.getVal(CTRL_DOWN);
	keys[LEFT]=		db.getVal(CTRL_LEFT);
	keys[RIGHT]=	db.getVal(CTRL_RIGHT);
	keys[A]=		db.getVal(CTRL_A);
	keys[B]=		db.getVal(CTRL_B);

	//db.clear();

	state=SDL_GetKeyState(NULL);

	return false;
	}

bool ControllerKeyboard::init(int skeys[COUNT])
	{
	for(int i=0; i<COUNT; ++i)
		keys[i]=skeys[i];
	return true;
	}

void ControllerKeyboard::update(float)
	{
	//if(!c)
	//	return;

	/*if(state[keys[UP]])		c->moveUp();
	if(state[keys[DOWN]])	c->moveDown();
	if(state[keys[LEFT]])	c->moveLeft();
	if(state[keys[RIGHT]])	c->moveRight();

	if(state[keys[A]])		nop();//c->say();
	if(state[keys[B]])		nop();//c->defend();*/

	/*pressed[   UP]=state[keys[   UP]];
	pressed[ DOWN]=state[keys[ DOWN]];
	pressed[ LEFT]=state[keys[ LEFT]];
	pressed[RIGHT]=state[keys[RIGHT]];
	pressed[    A]=state[keys[    A]];
	pressed[    B]=state[keys[    B]];*/
	}

void ControllerKeyboard::print()
	{
	//
	}

void ControllerKeyboard::clear()
	{
	//
	}

bool ControllerKeyboard::isPressed(Controls c)
	{
	//assert(c<UP || c>B);

	return state[keys[c]];
	//return pressed[c];
	}
