/*
 * ctrl_keyboard.h
 *
 *  Created on: 23-04-2013
 *      Author: crm
 */

#pragma once

#include <string>

#include "../base/controller.h"

class ControllerKeyboard: public Controller
	{
	protected:
		int keys[COUNT];
		//bool pressed[COUNT];
		unsigned char *state;

	public:
		ControllerKeyboard(): Controller() {};
		ControllerKeyboard(const std::string& configdb, const std::string& prefix): Controller() {init(configdb, prefix);}
		virtual ~ControllerKeyboard() {clear();}

		bool init(const std::string& configdb, const std::string& prefix);
		bool init(int keys[COUNT]);

		virtual void update(float dt);
		virtual void print();
		virtual void clear();

		virtual bool isPressed(Controls c);

		virtual ControllerType type() const {return CTRL_KEYBOARD;}
	};

