/*
 * deathmatch.h
 *
 *  Created on: 13-09-2013
 *      Author: crm
 */

#pragma once

#include "base/gamemode.h"

namespace GameModes
	{
	class Deathmatch: public GameMode
		{
		private:
			float timercheck;
			float timerrestart;

		public:
			Deathmatch(): timercheck(0.0f), timerrestart(0.0f) {}

			virtual void init();
			virtual void update(float dt);
			virtual void print();
			virtual void clear();

			virtual void start();

			virtual Type getType() const {return TYPE_DEATHMATCH;}
			virtual int getMinPlayerCount() const {return 1;}
			virtual int getMaxPlayerCount() const {return 64;}

			virtual char* serialize(int &size);
			virtual void deserialize(char *buff);
		};
	}
