/*
 * refcounter.h
 *
 *  Created on: 25-02-2013
 *      Author: crm
 */

#pragma once

class RefCounter
	{
	private:
		mutable int _refs;

	public:
		RefCounter(): _refs(0) {}
		RefCounter(const RefCounter& r): _refs(0) {}
		virtual ~RefCounter() {}

		virtual void   ref() const {++_refs;}
		virtual void unref() const {--_refs;}

		inline int refs() const {return _refs;}
	};
